Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228678 - Comps should require gstreamer-plugins-good
Summary: Comps should require gstreamer-plugins-good
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: comps
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-14 12:55 UTC by Bastien Nocera
Modified: 2013-01-10 01:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-23 20:09:27 UTC


Attachments (Terms of Use)

Description Bastien Nocera 2007-02-14 12:55:07 UTC
I just modified the gstreamer.spec to remove a cyclic dependency.

gstreamer-plugins-good would depend on gstreamer-devel (for obvious reasons).
But gstreamer would depend on gstreamer-plugins-good and gstreamer-plugins-base
as those last 2 packages would be obsoleting plugins that used to be in
gstreamer itself.

That cyclic dependency meant gstreamer-plugins-good would depend on itself
during build, thus making library upgrades gstreamer-plugins-good would depend
on impossible (as was the case with the recent flac update).

Having gstreamer-plugins-good and gstreamer-plugins-base in the comps would
solve that problem.

Comment 1 Jesse Keating 2007-02-23 03:41:39 UTC
I'm not quite sure I follow here.  Nothing else in our stack requires
plugins-good?  plugins-good has a requirement on -plugins-base, so there
shouldn't be a reason to list that one.

Comment 2 Bastien Nocera 2007-02-23 12:04:29 UTC
(In reply to comment #1)
> I'm not quite sure I follow here.  Nothing else in our stack requires
> plugins-good?

As they're plugins, they're not necessary per se, so no applications would have
pulled gstreamer-plugins-good themselves. In fact, they wouldn't have needed to
because of the dependency conundrum above which would have pulled
gstreamer-plugins-good and gstreamer-plugins-base when gstreamer was installed.

>  plugins-good has a requirement on -plugins-base, so there
> shouldn't be a reason to list that one.

Nod.

Occurences of "gstreamer" in the comps should be replaced by
gstreamer-plugins-good, so a decent default set of plugins is installed, and
will pull -base and gstreamer. If that's not practical/possible, then all
playback apps would need to pull gstreamer-plugins-good themselves as a Requires.

Comment 3 Jesse Keating 2007-02-23 20:09:27 UTC
gstreamer-plugins-good added to comps as a default under Sound & Video.


Note You need to log in before you can comment on or make changes to this bug.